#ifndef AC_RELAY_H_
#define AC_RELAY_H_

#include <stdbool.h>

/**
 * @brief Inicializa o relé de corrente alternada.
 */
void ac_relay_init(void);

/**
 * @brief Define o estado do relé de corrente alternada.
 *
 * @param state true para ligar, false para desligar.
 */
void ac_relay_set_state(bool state);

/**
 * @brief Retorna o estado atual do relé de corrente alternada.
 *
 * @return true se estiver ligado, false se desligado.
 */
bool ac_relay_get_state(void);

#endif /* AC_RELAY_H_ */
